/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.1 Stauverlaufsanalyse
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ibv.anastau.bestimmungstau.stau;

/**
 * Definition von Konstanten für die Verwaltung von Stauobjekten.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
public final class StauDefs {

	/**
	 * die PID für das Objekt des Datenverteilertyps "Stau".
	 */
	public static final String PID_TYP_STAU = "typ.stau";

	/**
	 * die PID der Attributgruppe zur Speicherung der Eigenschaften eines Staus.
	 */
	public static final String PID_ATG_SITUATIONS_EIGENSCHAFTEN = "atg.situationsEigenschaften";

	/**
	 * der Name des Attributs zur Speicherung der Liste der an einem Stau
	 * beteiligten Straßensegmente.
	 */
	public static final String ATT_EIGENSCHAFTEN_STRASSEN_SEGMENT = "StraßenSegment";

	/**
	 * der Name des Attributs zur Speicherung des Offsets des Staueendes relativ
	 * zum Ende des letzten beteiligten Straßensegments.
	 */
	public static final String ATT_EIGENSCHAFTEN_END_OFFSET = "EndOffset";

	/**
	 * der Name des Attributs zur Speicherung des Offsets des Stauanfangs
	 * relativ zum Anfang des ersten beteiligten Straßensegments.
	 */
	public static final String ATT_EIGENSCHAFTEN_START_OFFSET = "StartOffset";

	/**
	 * Name des Attributs zum Speichern der Dauer des Staus.
	 */
	public static final String ATT_EIGENSCHAFTEN_DAUER = "Dauer";

	/**
	 * Name des Attributs zum Speichern der Startzeit des Staus.
	 */
	public static final String ATT_EIGENSCHAFTEN_START_ZEIT = "StartZeit";

	/**
	 * Name des Attributs zum Speichern der Länge des Staus.
	 */
	public static final String ATT_EIGENSCHAFTEN_LAENGE = "Länge";

	/**
	 * privater Konstruktor, damit keine Instanzen des Objekts angelegt werden
	 * können.
	 */
	private StauDefs() {
		super();
	}
}
