/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.1 Stauverlaufsanalyse
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */
package de.bsvrz.ibv.anastau.migration.modell.netz;

/**
 * Exception, die ausgel&ouml;st wird, wenn bei der Umrechnung von
 * ASB-Ortsreferenzen Stationierungswert im Netz der VRZ nicht konfiguriert ist.
 *
 * @author BitCtrl Systems GmbH, Dipl.-Ing. Steffen Gieseler
 */
public class NetzReferenzAsbStationierungUnbekanntException extends NetzReferenzException {

	/**
	 * serialVersionUID.
	 */
	private static final long serialVersionUID = 1L;
	private final long stationierung;

	public long getStationierung() {
		return stationierung;
	}

	private static final String FEHLERTEXT1 = "Die Stationierung [";
	private static final String FEHLERTEXT2 = "] ist in der angegebenen Fahrtrichtung nicht bekannt";

	public NetzReferenzAsbStationierungUnbekanntException(final long l) {
		super(FEHLERTEXT1 + l + FEHLERTEXT2);
		stationierung = l;
	}

}
